summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: aa481d3)
raw | patch | inline | side by side (parent: aa481d3)
author | Jonathan Nieder <jrnieder@gmail.com> | |
Mon, 9 Nov 2009 15:04:53 +0000 (09:04 -0600) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Tue, 10 Nov 2009 19:06:57 +0000 (11:06 -0800) |
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-merge-one-file.sh | patch | blob | history |
diff --git a/git-merge-one-file.sh b/git-merge-one-file.sh
index 9c2c1b7202462370509a7bdb391982ae32564bd6..d067894bf45fd0a50513e196ea2a5e671d901681 100755 (executable)
--- a/git-merge-one-file.sh
+++ b/git-merge-one-file.sh
# been handled already by git read-tree, but that one doesn't
# do any merges that might change the tree layout.
+USAGE='<orig blob> <our blob> <their blob> <path>'
+USAGE="$USAGE <orig mode> <our mode> <their mode>"
+LONG_USAGE="Usage: git merge-one-file $USAGE
+
+Blob ids and modes should be empty for missing files."
+
+if ! test "$#" -eq 7
+then
+ echo "$LONG_USAGE"
+ exit 1
+fi
+
case "${1:-.}${2:-.}${3:-.}" in
#
# Deleted in both or deleted in one and unchanged in the other